com.h3c.sdn.adm.dao.model

## Class SystemInformationEntity

- java.lang.Object
- - com.h3c.sdn.dao.model.BaseEntity
  - - com.h3c.sdn.adm.dao.model.SystemInformationEntity

- All Implemented Interfaces:
    Storable<UUID>

      @Entity
      public class SystemInformationEntity
      extends BaseEntity

  System information entity.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SystemInformationEntity.SystemInformationRole` Representation of the System Role enumeration - required due to OSGi behaviors with regards to the JPA representation of all entity artifacts maintained in the same physical bundle.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemInformationEntity()`
    `SystemInformationEntity(UUID uid, SystemRole role, BuildVersion buildVersion, IpAddress ipAddress, boolean isSelf)` Creates a new system information entity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BuildVersion` | `getBuildVersion()` Gets the build version.
    `long` | `getCoreDataVersion()` Gets the core data version.
    `Date` | `getCoreDataVersionTimestamp()` Gets the core data version timestamp.
    `IpAddress` | `getIpAddress()` Gets the IP address.
    `long` | `getLocalTimeOfContact()` Gets the local time at connection.
    `long` | `getRemoteTimeAtContact()` Gets the remote time at connection.
    `SystemRole` | `getRole()` Gets the system role.
    `SystemStatus` | `getStatus()`
    `boolean` | `isSelf()` Gets the isSelf property.
    `void` | `setBuildVersion(BuildVersion buildVersion)` Sets the build version.
    `void` | `setCoreDataVersion(long coreDataVersion)` Sets the core data version.
    `void` | `setCoreDataVersionTimestamp(Date coreDataVersionTimestamp)` Sets the core data version timestamp.
    `void` | `setIpAddress(IpAddress ipAddress)` Set IP address.
    `void` | `setIsSelf(boolean isSelf)` Sets the isSelf property.
    `void` | `setLocalTimeOfContact(long localTimeOfContact)` Sets the local time at connection.
    `void` | `setRemoteTimeAtContact(long remoteTimeAtContact)` Sets the remote time at connection.
    `void` | `setRole(SystemRole role)` Sets the system role.
    `void` | `setStatus(SystemStatus status)` Sets the systems status.

    - ### Methods inherited from class com.h3c.sdn.dao.model.BaseEntity

      `equals, getId, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemInformationEntity

          public SystemInformationEntity()

    - #### SystemInformationEntity

          public SystemInformationEntity(UUID uid,
                                 SystemRole role,
                                 BuildVersion buildVersion,
                                 IpAddress ipAddress,
                                 boolean isSelf)

      Creates a new system information entity.
      Parameters:
        `uid` - the unique id
        `role` - system role.
        `buildVersion` - build version.
        `ipAddress` - contact address.
        `isSelf` - true to indicate this descriptor represents local system.

  - ### Method Detail

    - #### setRole

          public void setRole(SystemRole role)

      Sets the system role.
      Parameters:
        `role` - system role.

    - #### getRole

          public SystemRole getRole()

      Gets the system role.
      Returns:
        system role.

    - #### setBuildVersion

          public void setBuildVersion(BuildVersion buildVersion)

      Sets the build version.
      Parameters:
        `buildVersion` - the build version.

    - #### getBuildVersion

          public BuildVersion getBuildVersion()

      Gets the build version.
      Returns:
        the build version.

    - #### setIpAddress

          public void setIpAddress(IpAddress ipAddress)

      Set IP address.
      Parameters:
        `ipAddress` - IP address.

    - #### getIpAddress

          public IpAddress getIpAddress()

      Gets the IP address.
      Returns:
        the IP address.

    - #### getCoreDataVersion

          public long getCoreDataVersion()

      Gets the core data version.
      Returns:
        the core data version

    - #### setCoreDataVersion

          public void setCoreDataVersion(long coreDataVersion)

      Sets the core data version.
      Parameters:
        `coreDataVersion` - the core data version

    - #### getCoreDataVersionTimestamp

          public Date getCoreDataVersionTimestamp()

      Gets the core data version timestamp.
      Returns:
        the core data version timestamp

    - #### setCoreDataVersionTimestamp

          public void setCoreDataVersionTimestamp(Date coreDataVersionTimestamp)

      Sets the core data version timestamp.
      Parameters:
        `coreDataVersionTimestamp` - the core data version timestamp

    - #### setRemoteTimeAtContact

          public void setRemoteTimeAtContact(long remoteTimeAtContact)

      Sets the remote time at connection.
      Parameters:
        `remoteTimeAtContact` - the remote time at connection.

    - #### getRemoteTimeAtContact

          public long getRemoteTimeAtContact()

      Gets the remote time at connection.
      Returns:
        the remote time at connection.

    - #### setLocalTimeOfContact

          public void setLocalTimeOfContact(long localTimeOfContact)

      Sets the local time at connection.
      Parameters:
        `localTimeOfContact` - the local time at connection.

    - #### getLocalTimeOfContact

          public long getLocalTimeOfContact()

      Gets the local time at connection.
      Returns:
        the local time at connection.

    - #### setIsSelf

          public void setIsSelf(boolean isSelf)

      Sets the isSelf property.
      Parameters:
        `isSelf` - `true` if the system information represents the local system, `false` otherwise.

    - #### isSelf

          public boolean isSelf()

      Gets the isSelf property.
      Returns:
        `true` if the system information represents the local system, `false` otherwise.

    - #### setStatus

          public void setStatus(SystemStatus status)

      Sets the systems status.
      Parameters:
        `status` - status

    - #### getStatus

          public SystemStatus getStatus()

Copyright © 2014. All Rights Reserved.